# Generated from spree_theme_generator-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spree_theme_generator

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Copy spree frontend views into current project
License: MIT
URL: http://www.acidlabs.io
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(capybara) >= 2.4
# BuildRequires: rubygem(capybara) < 3
# BuildRequires: rubygem(coffee-rails)
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(factory_girl) >= 4.5
# BuildRequires: rubygem(factory_girl) < 5
# BuildRequires: rubygem(ffaker)
# BuildRequires: rubygem(rspec-rails) >= 3.1
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(sass-rails) >= 5.0.0.beta1
# BuildRequires: rubygem(sass-rails) < 5.1
# BuildRequires: rubygem(selenium-webdriver)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Generate custom theme by copying spree frontend views into current project.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.bundle
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/spree_theme_generator.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.0-1
- Initial package
